Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class DefaultConfigurationBuilder.ConfigurationBuilderProvider

    java.lang.Object
      org.apache.commons.configuration.beanutils.DefaultBeanFactory
          org.apache.commons.configuration.DefaultConfigurationBuilder.ConfigurationProvider
              org.apache.commons.configuration.DefaultConfigurationBuilder.ConfigurationBuilderProvider

All Implemented Interfaces:
  BeanFactory

Enclosing class:
  DefaultConfigurationBuilder

    static class DefaultConfigurationBuilder.ConfigurationBuilderProvider

extends DefaultConfigurationBuilder.ConfigurationProvider

A specialized configuration provider class that allows to include other configuration definition files.

Field Summary

Fields inherited from class org.apache.commons.configuration.beanutils.DefaultBeanFactory
`INSTANCE`

Constructor Summary
`DefaultConfigurationBuilder.ConfigurationBuilderProvider()` Creates a new instance of `ConfigurationBuilderProvider`.

Method Summary
`AbstractConfiguration` | `getConfiguration(DefaultConfigurationBuilder.ConfigurationDeclaration decl)` Creates the configuration.

Methods inherited from class org.apache.commons.configuration.DefaultConfigurationBuilder.ConfigurationProvider
`getConfigurationClass, setConfigurationClass`

Methods inherited from class org.apache.commons.configuration.beanutils.DefaultBeanFactory
`createBean, createBeanInstance, getDefaultBeanClass, initBeanInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.ConfigurationBuilderProvider

    public DefaultConfigurationBuilder.ConfigurationBuilderProvider()

  Creates a new instance of `ConfigurationBuilderProvider`.

Method Detail

### getConfiguration

    public AbstractConfiguration getConfiguration(DefaultConfigurationBuilder.ConfigurationDeclaration decl)
                                           throws Exception

  Creates the configuration. First creates a configuration builder object. Then returns the configuration created by this builder.

  Overrides:
    `getConfiguration` in class `DefaultConfigurationBuilder.ConfigurationProvider`
  Parameters:
    `decl` - the configuration declaration
  Returns:
    the configuration
  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.